---
title: 'Reason: CORS request external redirect not allowed'
slug: Web/HTTP/CORS/Errors/CORSExternalRedirectNotAllowed
tags:
  - CORS
  - CORSOriginHeaderNotAdded
  - Cross-Origin
  - Error
  - HTTP
  - HTTPS
  - Messages
  - Reasons
  - Security
  - console
  - troubleshooting
---
<div>{{HTTPSidebar}}</div>

<h2 id="Reason">Reason</h2>

<pre class="syntaxbox">Reason: CORS request external redirect not allowed</pre>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The {{Glossary("CORS")}} request was responded to by the server with an HTTP redirect to a URL on a different origin than the original request, which is not permitted during CORS requests.</p>

<p>For example, if the page <code>https://service.tld/fetchdata</code> were requested, and the HTTP response is "301 Moved Permanently", "307 Temporary Redirect", or "308 Permanent Redirect" with a <code>Location</code> of <code>https://anotherservice.net/getdata</code>, the CORS request will fail in this manner.</p>

<p>To fix the problem, update your code to use the new URL as reported by the redirect, thereby avoiding the redirect.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CORS/Errors">CORS errors</a></li>
 <li>Glossary: {{Glossary("CORS")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/CORS">CORS introduction</a></li>
</ul>
